View Issue Details

IDProjectCategoryView StatusLast Update
0005637MediaMonkey (current)Framework: Scripts/Extensionspublic2010-10-10 02:03
Reporterrusty 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Target VersionFixed in Version4.0 
Summary0005637: MsgBox and CommonDialog from scripts are always modeless
DescriptionAs described at:
http://www.mediamonkey.com/forum/viewtopic.php?p=188376#p188376
TagsNo tags attached.
Fixed in build1301

Relationships

related to 0006227 new Error message dialog is sometimes hidden. 

Activities

Ludek

2010-01-06 15:00

developer   ~0019907

Last edited: 2010-01-06 15:02

Fixed the CommonDialog ( http://www.mediamonkey.com/wiki/index.php/SDBCommonDialog ) problem described by ZvezdanD:

- install the Magic Nodes script;
- go to Edit / Magic Nodes Export/Import;
- click on the File;
- click on the "..." button on the right side;
- when the new "Select a file..." dialog box appears, click on the previous dialog box (Magic Nodes Export/Import) -> you could easily cover the "Select..." dialog box with the "Export/Import" dialog box.

However, this is not only problem. More serious problem is a fact that you could click again on the "..." button and you would get another "Select a file..." dialog box, as many times as you click on it.

Fixed in build 1301.

For SDB.MessageBox ( http://www.mediamonkey.com/wiki/index.php/ISDBApplication::MessageBox ) problem doesn't seem to appear.

zvezdan

2010-05-13 11:23

updater   ~0020155

> For SDB.MessageBox problem doesn't seem to appear.

You are wrong. Here is the sample script, you should click on Edit/MsgBox Test:

Sub OnStartUp()
    Dim mnuTest

    Set mnuTest = SDB.UI.AddMenuItem(SDB.UI.Menu_Edit, 0, 0)
    mnuTest.Caption = "MsgBox Test"
    mnuTest.UseScript = Script.ScriptPath
    mnuTest.OnClickFunc = "Test"
End Sub

Sub Test(Item)
    MsgBox "MsgBox test"
End Sub

zvezdan

2010-05-13 11:27

updater   ~0020156

Uh, sorry. I saw just now that you are mentioning SDB.MessageBox. Yes, you are right, that dialog is fine, but I was talking about MsgBox system dialog box.

peke

2010-10-10 02:03

developer   ~0020691

Verified 1315